Delete Trust Validation
curl --request DELETE \
--url https://{environment-subdomain}.idmetagroup.com/api/v3/processes/delete-trust-validation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trustValidationId": "{your_trust_validation_id}"
}
'import requests
url = "https://{environment-subdomain}.idmetagroup.com/api/v3/processes/delete-trust-validation"
payload = { "trustValidationId": "{your_trust_validation_id}" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({trustValidationId: '{your_trust_validation_id}'})
};
fetch('https://{environment-subdomain}.idmetagroup.com/api/v3/processes/delete-trust-validation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Trust Validation deleted successfully",
"performedAt": "2026-08-20T08:41:00Z",
"createdAt": "2026-08-20 08:41:00+0000"
}{
"success": false,
"message": "Invalid request",
"errors": {
"trustValidationId": [
"The trustValidationId field is required."
]
}
}{
"success": false,
"message": "Unauthenticated.",
"errors": {}
}{
"success": false,
"message": "Forbidden.",
"errors": {}
}{
"success": false,
"message": "Trust Validation not found.",
"errors": {}
}{
"success": false,
"message": "An unexpected error occurred.",
"errors": {}
}Processes
Delete Trust Validation
Permanently deletes all personal data held against a Trust Validation while retaining usage and billing records.
DELETE
/
api
/
v3
/
processes
/
delete-trust-validation
Delete Trust Validation
This operation is irreversible. All personal data — including document scans, selfies, signatures, request payloads, and verification results — is permanently removed and cannot be recovered.
A
404 response is returned both when the trustValidationId does not exist and when it belongs to another company. Callers cannot use this response to probe for other companies’ IDs.Authorizations
Use Bearer {your_api_token} in the Authorization header.
Body
application/json
The ID returned by Create Trust Validation.
Maximum string length:
255⌘I

